> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new rental

> Create a new rental request



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json post /rentals
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /rentals:
    post:
      tags:
        - Rentals
      summary: Create a new rental
      description: Create a new rental request
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - envId
                - sessionId
                - gpus
                - priceBreakDuration
              properties:
                envId:
                  type: string
                  description: The environment ID
                sessionId:
                  type: string
                  description: The session ID
                gpus:
                  type: number
                  description: Number of GPUs to rent
                priceBreakDuration:
                  type: string
                  description: Duration of the price break (1 Month)
      responses:
        '200':
          description: Rental successfully created
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Invalid request body
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````